I just tried to get the twitter bootstrap lib running with play 2.0, but received an error, irc guys told me that the new twitter bootstrap broke the play support. This is the message:

EcmaError: TypeError: Cannot call method „charAt“ of undefined (less-1.2.1.js#338)

I worked around it by using the 2.0.1 of bootstrap, the nice guy at the irc told me that the git version of play has it fixed already.

Btw. there is a nice and short tutorial to get bootstrap running with play:

https://plus.google.com/u/0/108788785914419775677/posts/QgyUF9cXPkv